<!DOCTYPE html>
{% load static %}

<head>

    <meta charset="UTF-8">
    <title>Suivi Productions</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'style/style.css'%}">
    <link rel="stylesheet" href="{% static 'style/production.css'%}">

</head>
<body>
<h1 class ="h1center" >Suivi <code>Prod'</code>
{% for env in liste_env %}
    {% if hostname == env.nom %} -
        {% if env.env == "DEV" %}<font color=green><b>{{ hostname }} - {{ env.description}}</b></font>
        {% elif env.env == "REC" %}<font color=orange><b>{{ hostname }} - {{ env.description}}</b></font>
        {% elif env.env == "PROD" %}<font color=red><b>{{ hostname }} - {{ env.description}}</b></font>
        {% endif %}

    {% endif %}
{% endfor %}
</h1>


{% include 'menu.html' %}

{% block content %}

<div style="text-align:center;">
    <h1 style="width: 50%; margin: auto; padding: 10px;">Suivi des productions batchs</h1>
</div>


{% for theme in themes %}
    <div style="text-align:center;">
        <h2 style="width: 50%; margin: auto; padding: 10px;">
            {{ theme_image_path.new_theme }}
        {% for theme_image_path in theme_image_paths %}
            {% if theme == theme_image_path.theme %}
                 <img style="height: 50px" src="{{ theme_image_path.image_path }}" alt=""> {{ theme_image_path.new_theme }}
            {% endif %}
        {% endfor %}
        </h2>
    </div>


    <!-- Affichage des entrées pour le type d'application en cours -->
    <div style="width: 70%; margin: auto; column-count: 3;">
    {% for item in data %}
        {% if theme == item.theme %}
            <div class="list" style="padding: 10px; background-color: #95AAE9; ">
                <!-- Image de périodicité -->
                <img style="width: 30px; float: center;" src="{% static item.script_image %}" alt="">
                <!-- info dernier traitement -->
                {% if item.last_result == "ok" %}
                    <div class="rectangle rectangle-big rectangle-vert">{{ item.date_traitement }} 
                        <div class="infobulle">Traitement terminé avec succès<br>{{ item.lst_warnings|safe }}</div>
                    </div>
                {% endif %}

                {% if item.last_result == "warn" %}
                    <div class="rectangle rectangle-big rectangle-orange">{{ item.date_traitement }} 
                        <div class="infobulle">Traitement terminé avec des warning(s)<br>{{ item.lst_ok|safe }}{{ item.lst_warnings|safe }}</div>
                    </div>
                {% endif %}

                {% if item.last_result == "error" %}
                    <div class="rectangle rectangle-big rectangle-rouge">{{ item.date_traitement }} 
                        <div class="infobulle">Traitement terminé avec erreur(s)<br>{{ item.lst_errors|safe }}</div>
                    </div>
                {% endif %}

                {% if item.periodicte == "Q" %}

                {% endif %}

                <!-- Script à executer -->
                <a href="{% url 'scripts_exec' path=item.script_path %}">{{ item.script_name }}</a>
            </div>
        {% endif %}
    {% endfor %}
    </div>
    <br>
{% endfor %}

{% endblock %}

{% csrf_token %}

</body>